#div-1 {
    background-color: green;
    display: block;
}

#span-1 {
    background-color: purple;
    display: inline-block;
    width: 200px;
    height: 200px;
    vertical-align: top;
}

#span-2 {
    background-color: red;
}

#div-2 {
    background-color: hotpink;
    display: none;
}

#img {
    width: 200px;
    height: 200px;
}

#p-1 {
    background-color: #d3d3d3 ;
}

#p-2 {
    background-color: rgb(255, 105, 180);
}

#p-3 {
    background-color: darkkhaki;
    width: 40%;
}

.sample {
    display: inline-block;
    width: 30%;
    border: 1px solid black;
    text-align: center;
}

/* Float Property */
/* float behavior is like a wrap through/through in the ms word */
.img-float {
    width: 250px;
    height: 250px;
    float: inherit;
}

.box {
    background-color: darkcyan;
    border: 1px solid black;
    margin: 5px;
}

.fifty-percent {
    width: 50%;   
}

.one-hundred-pixels{
    width: 100px;
}

.parent {
    width: 135px;
    border: 2px solid orange;
}

/* vw output was overlapped since it's 
width value is bigger than the div width (which is the parent where the nested div located). */
.fifty-vw {
    width: 50vw;
}

.twenty-five-vh {
    height: 25vh;
}
